Wiki

Clone wiki

GeckoFX / Version_lists

With each release of firefox the xulrunner api changes, therefore we need a different version of geckofx for each firefox release.

Every time a new firefox is released we create a new geckofx repo/branch, for example firefox 9.0.1 has a corresponding geckofx repo/branch called geckofx-9.0.

A geckofx repo will only work with a single firefox/xulrunner major version.

The following list shows which geckofx repo/branch is needed for which Firefox/Xulrunner version:

Firefox 31.0 / Xulrunner 31.0 -> geckofx-31.0

Firefox 29.0 / Xulrunner 29.0 -> geckofx-29.0

Firefox 22.0 / Xulrunner 22.0 -> geckofx-22.0

Firefox 21.0 / Xulrunner 21.0 -> geckofx-21.0

Firefox 18.0 / Xulrunner 18.0 -> geckofx-18.0

Firefox 16.0 / Xulrunner 16.0 -> geckofx-16.0

Firefox 15.0 / Xulrunner 15.0 -> geckofx-15.0

Firefox 14.0 / Xulrunner 14.0 -> geckofx-14.0

Firefox 13.0 / Xulrunner 13.0 -> geckofx-13.0

Firefox 12.0 / Xulrunner 12.0 -> geckofx-12.0

Firefox 11.0 / Xulrunner 11.0 -> geckofx-11.0

Firefox 10.0 / Xulrunner 10.0 -> geckofx-10.0

Firefox 9.0 / Xulrunner 9.0 -> geckofx-9.0

Firefox 8.0 / Xulrunner 8.0 -> geckofx-8.0

Firefox 7.0 / Xulrunner 7.0 -> geckofx-7.0

Firefox 6.0 / Xulrunner 6.0 -> geckofx-6.0

Firefox 5.0 / Xulrunner 5.0 -> geckofx-5.0

Firefox 4.0 / Xulrunner 2.0.1 -> geckofx-2.0

Firefox 3.6 / Xulrunner 1.9.2 -> geckofx

Updated